BUNDLE-PLUGIN(1)

NAME
bundle-plugin - Manage Bundler plugins

SYNOPSIS
bundle plugin install PLUGINS [--source=SOURCE] [--version=VERSION] [--git=GIT] [--branch=BRANCH|--ref=REF] [--local-git=LOCAL_GIT] [--path=PATH]
bundle plugin uninstall PLUGINS [--all]
bundle plugin list
bundle plugin help [COMMAND]

DESCRIPTION
You can install, uninstall, and list plugin(s) with this command to extend functionalities of Bundler.

SUB-COMMANDS

  install
Install the given plugin(s).

For example, bundle plugin install bundler-graph will install bundler-graph gem from globally configured sources (defaults to RubyGems.org). Note that the global source specified in Gemfile is ignored.

OPTIONS

--source=SOURCE
    Install the plugin gem from a specific source, rather than from globally configured sources.

    Example: bundle plugin install bundler-graph --source https://example.com

--version=VERSION
    Specify a version of the plugin gem to install via --version.

    Example: bundle plugin install bundler-graph --version 0.2.1

--git=GIT
    Install the plugin gem from a Git repository. You can use standard Git URLs like:

    ssh://[user@]host.xz[:port]/path/to/repo.git
    http[s]://host.xz[:port]/path/to/repo.git
    /path/to/repo
    file:///path/to/repo

    Example: bundle plugin install bundler-graph --git https://github.com/rubygems/bundler-graph

--branch=BRANCH
    When you specify --git, you can use --branch to use.

--ref=REF
    When you specify --git, you can use --ref to specify any tag, or commit hash (revision) to use.

--path=PATH
    Install the plugin gem from a local path.

    Example: bundle plugin install bundler-graph --path ../bundler-graph

--local-git=LOCAL_GIT
    Install the plugin gem from a local Git repository.

    Example: bundle plugin install bundler-graph --local-git ../bundler-graph.

    This option is deprecated in favor of --git.

  uninstall
Uninstall the plugin(s) specified in PLUGINS.

OPTIONS

--all
    Uninstall all the installed plugins. If no plugin is installed, then it does nothing.

  list
List the installed plugins and available commands.

No options.

  help
Describe subcommands or one specific subcommand.

No options.

SEE ALSO

•   How to write a Bundler plugin https://bundler.io/guides/bundler_plugins.html